# OPC UA Reference Node

## `referenceNodeId` (string)

reference Nodes in OPC UA server and publish them into the comissioning file context

Example: `"MachineToolType"`

## `namespaceUrl` (string)

URL of the namespace that contains the the object type to instantiate

Example: `"http://opcfoundation.org/UA/MachineTool/"`

## `relativeBrowsePath` (string)

This follows the OPC UA specification for relative browse path values relative to the given reference Node Id

Example: `"/Server/ServerCapabilities/OperationLimits/MaxNodesPerBrowse"`

## `startNodeId` (string)

Address to the Starting Point for the relative browse path

Example: `"ns=0;i=85"`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cybus.io/2-1-2/connectors/servers/opc-ua-server-references/opcuareferencenode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
